------------------------------------------------------------------------
r117 | wutname1 | 2014-10-19 06:34:27 +0000 (Sun, 19 Oct 2014) | 1 line
Changed paths:
   A /tags/3.3.0d (from /trunk:116)

Tagging as 3.3.0d
------------------------------------------------------------------------
r116 | wutname1 | 2014-10-19 06:33:49 +0000 (Sun, 19 Oct 2014) | 1 line
Changed paths:
   M /trunk/Modules/Artwork/SpartanUI_Artwork.lua
   M /trunk/Modules/Artwork/Themes/Classic/Module-Minimap.lua
   M /trunk/Modules/Artwork/Themes/Classic/Style.xml
   D /trunk/Modules/PlayerFrames/media/base_plate1.tga
   D /trunk/Modules/PlayerFrames/media/base_plate2.blp
   D /trunk/Modules/PlayerFrames/media/base_plate3.tga
   D /trunk/Modules/PlayerFrames/media/base_plate4.blp
   D /trunk/Modules/PlayerFrames/media/base_plate5.tga
   A /trunk/Modules/PlayerFrames/media/base_square.tga
   A /trunk/Modules/PlayerFrames/media/classic
   A /trunk/Modules/PlayerFrames/media/classic/base_plate1.tga
   A /trunk/Modules/PlayerFrames/media/classic/base_plate2.blp
   A /trunk/Modules/PlayerFrames/media/classic/base_plate3.tga
   A /trunk/Modules/PlayerFrames/media/classic/base_plate4.blp
   A /trunk/Modules/PlayerFrames/media/plain
   A /trunk/Modules/PlayerFrames/media/plain/base_plate1.tga
   M /trunk/Modules/PlayerFrames/scripts/FrameStyle_Classic.lua
   M /trunk/Modules/PlayerFrames/scripts/FrameStyle_Plain.lua
   M /trunk/Modules/PlayerFrames/scripts/Unit-FrameSpawn.lua
   M /trunk/scripts/Global-Features.lua
   M /trunk/scripts/Global-Framework.lua

-
------------------------------------------------------------------------
r115 | wutname1 | 2014-10-17 05:48:56 +0000 (Fri, 17 Oct 2014) | 1 line
Changed paths:
   M /trunk/Modules/Artwork/Themes/Classic/Module-UnitFrames.lua
   M /trunk/Modules/PlayerFrames/scripts/FrameStyle_Classic.lua
   M /trunk/Modules/PlayerFrames/scripts/Unit-FrameSpawn.lua

-Moved code all remaining classic frame code into PlayerFrames/scripts/FrameStyle_Classic.lua
------------------------------------------------------------------------
r114 | wutname1 | 2014-10-17 04:45:07 +0000 (Fri, 17 Oct 2014) | 2 lines
Changed paths:
   M /trunk/Modules/PlayerFrames/scripts/FrameStyle_Classic.lua
   M /trunk/scripts/Module-DBSetup.lua

-Background added to 3D Portraits
-Change to hotfix DB updates to avoid errors
------------------------------------------------------------------------
r112 | wutname1 | 2014-10-17 04:00:40 +0000 (Fri, 17 Oct 2014) | 12 lines
Changed paths:
   M /trunk/Modules/Artwork/Options.lua
   M /trunk/Modules/Artwork/SpartanUI_Artwork.lua
   M /trunk/Modules/Artwork/Themes/Classic/Module-ActionBars.lua
   M /trunk/Modules/Artwork/Themes/Classic/Module-Minimap.lua
   M /trunk/Modules/Artwork/Themes/Classic/Module-UnitFrames.lua
   M /trunk/Modules/Artwork/Themes/Classic/Style.lua
   A /trunk/Modules/PlayerFrames/scripts/FrameStyle_Classic.lua
   A /trunk/Modules/PlayerFrames/scripts/FrameStyle_Plain.lua
   D /trunk/Modules/PlayerFrames/scripts/Global-Framework.lua
   M /trunk/Modules/PlayerFrames/scripts/Global-Framework.xml
   M /trunk/Modules/PlayerFrames/scripts/Unit-FrameSpawn.lua
   D /trunk/Modules/PlayerFrames/scripts/Unit-PlayerFrame.lua

SpartanUI Artwork - Core
  -Viewport option renamed to "Viewport Enabled"

SpartanUI Artwork - Classic Theme
  -Bartender settings should not be messed up on reload/zoning
  --Changing profiles now functions as intended
  -Removed a Debug line when changing transparency that was left in on accident
  -ALL MiniMap icons are now hidden by the setting "Hide all minimap icons", cuz duh.
  -Improved the Showing/Hiding of minimap icons on mouse over of the minimap

SpartanUI PlayerFrames
  -Player Frame Styles started on
------------------------------------------------------------------------
r110 | wutname1 | 2014-10-15 06:36:16 +0000 (Wed, 15 Oct 2014) | 3 lines
Changed paths:
   M /trunk/Modules/Artwork/Options.lua
   M /trunk/Modules/Artwork/Themes/Classic/Global-Framework.lua
   M /trunk/Modules/Artwork/Themes/Classic/Style.lua
   M /trunk/scripts/Global-Features.lua
   M /trunk/scripts/Module-DBSetup.lua

Viewport scale options added
Classic Theme default bottom viewport scale upped form 2.3 to 2.8
Hotfix Version detection stored via DB.HVer
------------------------------------------------------------------------
r109 | wutname1 | 2014-10-15 05:52:23 +0000 (Wed, 15 Oct 2014) | 1 line
Changed paths:
   M /trunk/SpartanUI.toc
   M /trunk/scripts/Module-DBSetup.lua

toc change to 3.3.0 changed the Alpha warning so hotfixes can be released with letters on the fly with no toc change in SVN
------------------------------------------------------------------------
r108 | wutname1 | 2014-10-15 05:40:51 +0000 (Wed, 15 Oct 2014) | 1 line
Changed paths:
   M /trunk/Modules/Artwork/Themes/Classic/Style.lua

Moved some options that are not working to their proper place and disabled them for now.
------------------------------------------------------------------------
r107 | wutname1 | 2014-10-15 05:19:37 +0000 (Wed, 15 Oct 2014) | 3 lines
Changed paths:
   M /trunk/Modules/Artwork/Themes/Classic/Global-Framework.lua
   M /trunk/Modules/Artwork/Themes/Classic/Style.lua

Classic Theme Fixes
-Move Sideways now moves play frames
-Changing the Artwork Transparency now displays a notice on how to remove the viewport.
------------------------------------------------------------------------
r105 | wutname1 | 2014-10-15 00:54:32 +0000 (Wed, 15 Oct 2014) | 2 lines
Changed paths:
   M /trunk/Modules/Artwork/Options.lua
   M /trunk/Modules/Artwork/Themes/Classic/Global-Framework.lua
   M /trunk/Modules/Artwork/Themes/Classic/Module-ActionBars.lua
   M /trunk/Modules/Artwork/Themes/Classic/Style.lua

Viewport options update

------------------------------------------------------------------------
r101 | wutname1 | 2014-10-15 00:16:36 +0000 (Wed, 15 Oct 2014) | 1 line
Changed paths:
   M /trunk/Modules/Artwork/Options.lua

bump packager?
------------------------------------------------------------------------
r99 | wutname1 | 2014-10-15 00:07:58 +0000 (Wed, 15 Oct 2014) | 2 lines
Changed paths:
   M /trunk/SpartanUI.toc

viewport fix
toc update
------------------------------------------------------------------------
r98 | wutname1 | 2014-10-15 00:07:37 +0000 (Wed, 15 Oct 2014) | 1 line
Changed paths:
   M /trunk/Modules/Artwork/Themes/Classic/Global-Framework.lua
   M /trunk/Modules/Artwork/Themes/Classic/Style.lua

viewport fix
------------------------------------------------------------------------
r96 | wutname1 | 2014-10-12 19:26:55 +0000 (Sun, 12 Oct 2014) | 51 lines
Changed paths:
   M /trunk/Modules/Artwork/Options.lua
   M /trunk/Modules/Artwork/SpartanUI_Artwork.toc
   A /trunk/Modules/Artwork/Themes/Classic/Images/status-tooltip.tga
   M /trunk/Modules/Artwork/Themes/Classic/Module-ActionBars.lua
   A /trunk/Modules/Artwork/Themes/Classic/Module-UnitFrames.lua
   M /trunk/Modules/Artwork/Themes/Classic/Style.lua
   M /trunk/Modules/Artwork/Themes/Classic/Style.xml
   M /trunk/Modules/Artwork/Themes/SciFi/Global-Framework.lua
   A /trunk/Modules/Artwork/Themes/SciFi/Images/base-center.psd
   M /trunk/Modules/Artwork/Themes/SciFi/Images/base-center.tga
   A /trunk/Modules/Artwork/Themes/SciFi/Images/base_plate1.tga
   A /trunk/Modules/Artwork/Themes/SciFi/Images/status-tooltip.tga
   M /trunk/Modules/Artwork/Themes/SciFi/Module-ActionBars.lua
   M /trunk/Modules/Artwork/Themes/SciFi/Module-Minimap.lua
   M /trunk/Modules/Artwork/Themes/SciFi/Module-StatusBars.lua
   A /trunk/Modules/Artwork/Themes/SciFi/Module-UnitFrames.lua
   M /trunk/Modules/Artwork/Themes/SciFi/Style.lua
   M /trunk/Modules/Artwork/Themes/SciFi/Style.xml
   A /trunk/Modules/Artwork/Themes/Transparent
   A /trunk/Modules/Artwork/Themes/Transparent/Global-Framework.lua
   A /trunk/Modules/Artwork/Themes/Transparent/Images
   A /trunk/Modules/Artwork/Themes/Transparent/Images/UI-World-Icon-Pushed.BLP
   A /trunk/Modules/Artwork/Themes/Transparent/Images/UI-World-Icon.BLP
   A /trunk/Modules/Artwork/Themes/Transparent/Images/WorldMap-Icon-Pushed.BLP
   A /trunk/Modules/Artwork/Themes/Transparent/Images/WorldMap-Icon.BLP
   A /trunk/Modules/Artwork/Themes/Transparent/Images/bar-backdrop0.tga
   A /trunk/Modules/Artwork/Themes/Transparent/Images/bar-backdrop1.tga
   A /trunk/Modules/Artwork/Themes/Transparent/Images/bar-backdrop3.tga
   A /trunk/Modules/Artwork/Themes/Transparent/Images/bar-popup1.tga
   A /trunk/Modules/Artwork/Themes/Transparent/Images/bar-popup2.tga
   A /trunk/Modules/Artwork/Themes/Transparent/Images/base-center.tga
   A /trunk/Modules/Artwork/Themes/Transparent/Images/base-sides.tga
   A /trunk/Modules/Artwork/Themes/Transparent/Images/base_plate1.tga
   A /trunk/Modules/Artwork/Themes/Transparent/Images/base_plate2.tga
   A /trunk/Modules/Artwork/Themes/Transparent/Images/base_plate4.tga
   A /trunk/Modules/Artwork/Themes/Transparent/Images/map-overlay.tga
   A /trunk/Modules/Artwork/Themes/Transparent/Images/status-glow.tga
   A /trunk/Modules/Artwork/Themes/Transparent/Images/status-lead.tga
   A /trunk/Modules/Artwork/Themes/Transparent/Images/status-plate-rep.tga
   A /trunk/Modules/Artwork/Themes/Transparent/Images/status-tooltip.tga
   A /trunk/Modules/Artwork/Themes/Transparent/Module-ActionBars.lua
   A /trunk/Modules/Artwork/Themes/Transparent/Module-Minimap.lua
   A /trunk/Modules/Artwork/Themes/Transparent/Module-StatusBars.lua
   A /trunk/Modules/Artwork/Themes/Transparent/Module-UnitFrames.lua
   A /trunk/Modules/Artwork/Themes/Transparent/Style.lua
   A /trunk/Modules/Artwork/Themes/Transparent/Style.xml
   M /trunk/Modules/PartyFrames/SpartanUI_PartyFrames.toc
   M /trunk/Modules/PlayerFrames/SpartanUI_PlayerFrames.toc
   D /trunk/Modules/PlayerFrames/libs
   M /trunk/Modules/PlayerFrames/scripts/Global-Framework.lua
   M /trunk/Modules/PlayerFrames/scripts/Global-Framework.xml
   M /trunk/Modules/PlayerFrames/scripts/Options.lua
   M /trunk/Modules/PlayerFrames/scripts/Unit-FrameSpawn.lua
   M /trunk/Modules/PlayerFrames/scripts/Unit-PlayerFrame.lua
   M /trunk/Modules/RaidFrames/SpartanUI_RaidFrames.toc
   M /trunk/SpartanUI.toc
   A /trunk/libs/oUF
   A /trunk/libs/oUF/LICENSE
   A /trunk/libs/oUF/blizzard.lua
   A /trunk/libs/oUF/colors.lua
   A /trunk/libs/oUF/elements
   A /trunk/libs/oUF/elements/altpowerbar.lua
   A /trunk/libs/oUF/elements/assistant.lua
   A /trunk/libs/oUF/elements/aura.lua
   A /trunk/libs/oUF/elements/castbar.lua
   A /trunk/libs/oUF/elements/classicons.lua
   A /trunk/libs/oUF/elements/combat.lua
   A /trunk/libs/oUF/elements/cpoints.lua
   A /trunk/libs/oUF/elements/druidmana.lua
   A /trunk/libs/oUF/elements/eclipsebar.lua
   A /trunk/libs/oUF/elements/harmonyorbs.lua
   A /trunk/libs/oUF/elements/healprediction.lua
   A /trunk/libs/oUF/elements/health.lua
   A /trunk/libs/oUF/elements/holypower.lua
   A /trunk/libs/oUF/elements/leader.lua
   A /trunk/libs/oUF/elements/lfdrole.lua
   A /trunk/libs/oUF/elements/maintank.lua
   A /trunk/libs/oUF/elements/masterlooter.lua
   A /trunk/libs/oUF/elements/picon.lua
   A /trunk/libs/oUF/elements/portraits.lua
   A /trunk/libs/oUF/elements/power.lua
   A /trunk/libs/oUF/elements/pvp.lua
   A /trunk/libs/oUF/elements/qicon.lua
   A /trunk/libs/oUF/elements/raidrole.lua
   A /trunk/libs/oUF/elements/range.lua
   A /trunk/libs/oUF/elements/readycheck.lua
   A /trunk/libs/oUF/elements/resting.lua
   A /trunk/libs/oUF/elements/resurrect.lua
   A /trunk/libs/oUF/elements/ricons.lua
   A /trunk/libs/oUF/elements/runebar.lua
   A /trunk/libs/oUF/elements/shadoworbs.lua
   A /trunk/libs/oUF/elements/soulshards.lua
   A /trunk/libs/oUF/elements/stagger.lua
   A /trunk/libs/oUF/elements/tags.lua
   A /trunk/libs/oUF/elements/threat.lua
   A /trunk/libs/oUF/elements/totems.lua
   A /trunk/libs/oUF/events.lua
   A /trunk/libs/oUF/factory.lua
   A /trunk/libs/oUF/finalize.lua
   A /trunk/libs/oUF/init.lua
   A /trunk/libs/oUF/oUF.toc
   A /trunk/libs/oUF/oUF.xml
   A /trunk/libs/oUF/ouf.lua
   A /trunk/libs/oUF/private.lua
   A /trunk/libs/oUF/units.lua
   A /trunk/libs/oUF/utils
   A /trunk/libs/oUF/utils/changelog
   A /trunk/libs/oUF/utils/docs
   A /trunk/libs/oUF_Plugins
   A /trunk/libs/oUF_Plugins/oUF_AuraWatch.lua
   A /trunk/libs/oUF_Plugins/oUF_RaidDebuffs.lua
   M /trunk/scripts/Global-Features.lua
   M /trunk/scripts/Global-Framework.lua
   M /trunk/scripts/Module-DBSetup.lua

- Moved oUF To Core
- SciFi and Transparent Themes work continued

9/15's Changes
-! Themes can now be switched via the settings
-- Bartender Settings are updated and the UI Reloaded after a new theme is picked to avoid LUA errors
- Minimap Handling/non-Handling has been re-introduced (Removed in last Alpha).
-- With the new process if a 3rd party addon is messing with the minimap users now get a prompt asking if they want SpartanUI's Themes to position or possibly modify the minimap
- Options Re-Build Started on
-- Removed a lot of the SpartanUI text thought the settings. It was just excessive.
- Classic Theme: MiniMap had to be redone due to the minimap not resetting back to circle on a reloadui
- Classic Theme: Player and Target Level Text has been reduced in size and re centered. 3 Number levels looked a bit off

9/14's Changes
-! Most if not all dependencies on the "Classic" Theme has been removed/modified, player frames now attach to a player frame anchor 
-! Due to the new Theming System Player Frames do not Require Artwork to function any more.
-! Shaman totems now properly display under player unit frame
- Work has started on the Clear Theme
-- In this alpha it is refereed to as SciFi this will change in the next build
-- The Options have not yet been redone to switch the theme it requires editing SpartanUI_Artwork/SpartanUI_Artwork.lua
- Bartender Profiles have been renamed to follow a naming standard of "SpartanUI THEME - VERSION", the old system of "SpartanUI VERSION" will not work as well going forward due to the theming system
- oUF Updated to latest version
- Some Common Theme functions are being migrated to the SpartanUI_Artwork module name space.

9/12's Changes
- Moved formatting function out of the Classic Theme

9/11's Changes
-! Viewport is now attached to the top of SpratanUI, no more clicking items behind the UI
-! 3D Portraits added to Party Frames
-! Party and Raid Frames are now back to functioning
- Removed oUF From Raid Frames and Party Frames
-- oUF is now only contained in the Player Frames
-- Player Frames are now required for Party & Raid Frames
-- Reduced Custom oUF overhead
-- oUF is now in a proper name space (SpartanoUF)
- Raid Frames how has an option to hide the blizzard Raid Frames (Enabled by default)
- Lifebloom Party Frame HoT Icon Fixed for (All Frames)
- Duplicate Setting in menu removed

9/10's Changes
-! 3D Portraits on Player and Target Frame
- Moved artwork out of Spartan Core completely
- Lifebloom Party Frame Hot Icon Fixed (Party Frames)
- Removed Lock/Unlock right click options from focus frame (They did not do anything)

9/9's Changes
-! TOC Updates for 6.0
-! Shrunk the size of the Garrison Icon, That thing is HUGE!
- Started Migrating to the new Themes system, This will allow for multiple looks to SpartanUI
- Few code cleanups, bug fixes, and i am sure some new bugs cuz beta.
------------------------------------------------------------------------
